require(["dojo/dom-construct", "dojo/_base/fx", "dojo/request/xhr", "applications/nbi/js/query/elementQueryService", "dojo/domReady!"],
    function (dom, fx, xhr, queryUtils) {
        // Function linked to the button to trigger the fade.
        function fadeIt(domNode) {
            var fadeArgs = {
                node: domNode
            };
            fx.fadeIn(fadeArgs).play();
        }

        // productName is a global variable which defined in basic.html
        if (productName !== 'Prime Infrastructure') {
            return;
        }

        var arrDevNet = queryUtils.findDevNetDiscussions();
        if (!arrDevNet || arrDevNet.length == 0) {
            return;
        }
        var tag = arrDevNet[0].getAttribute("tag");
        if (!tag) {
            return;
        }
        xhr("/webacs/api/v3/devNet/taggedDiscussions", {
            query: {
                tag: tag
            },
            handleAs: "xml"
        }).then(function (data) {
            if (data) {
                arrDevNet.forEach(function (node) {
                    dom.place(data, node, "last");
                    fadeIt(node);
                });
            }
        }, function (err) {
            if (err.response.status == 599) {
                arrDevNet.forEach(function (node) {
                    dom.create("p",
                        {innerHTML: "Cannot fetch DevNet discussions. You can adjust your proxy settings under Administration &gt; System &gt; System Settings &gt; General &gt; Account Settings."},
                        node,
                        "last");
                    fadeIt(node);
                });
            }
        });
    });